Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Jan 2016 06:31:13 +0200

> From: Vincent Belaïche <[email-masked]> 
> Cc: Vincent Belaïche <[email-masked]>  ,
>  [email-masked]
> Date: Wed, 20 Jan 2016 00:34:28 +0100
> 
> I have recompiled with the latest source and using the compiler options
> which you gave me, and I do not reproduce the crash (although I have
> been debugging my SES bugs at length). I have recompiled with the 32bit
> MinGW. However I am not sure whether the Emacs version that was crashing
> (that of 2015-12-16), was compiled with this MinGW or with the 64bit
> MinGW.

If -O0 doesn't reproduce the problem, then please try with -Og
instead.

> I think that it was also compiled with the 32bit, because my MSYS fstab
> file date is "12-16 08:49", and the crashing emacs.exe date is "12-16
> 10:27". So the fstab setting (currently pointing at the 32bit MinGW
> compiler) is anterior the crashing Emacs emacs.exe. However I am not
> 100% sure, I may well have launched the compilation earlier than
> changing the fstab file, but as compiling is so long, the emacs.exe date
> could however be after the fstab modification time.
> 
> In a nutshell, is there any way to know whether the crashing Emacs was
> compiled with the 32bit MinGW or with another MinGW.

I'm not sure it's worth our time to try to figure that out.  Let's
concentrate on reproducing the bug instead, OK?